Bug 108835 - I18N - IRB console can't display non-ascii character.
I18N - IRB console can't display non-ascii character.
Status: NEW
Product: ruby
Classification: Unclassified
Component: Platform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@ruby
issues@ruby
http://jira.codehaus.org/browse/JRUBY...
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 03:12 UTC by abs
Modified: 2011-01-28 20:10 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description abs 2007-07-04 03:12:14 UTC
I write following code to IRB console.
irb(main):001:0> puts "Japanese Character"
?????
=> nil

Then IRB console displays "????". IRB console should handle non-ascii character correctly.

My environment is following.
 OS: WindowsXP(Japanese)
 NetBeans:6.0 M10
 Java: JDK1.6.0_01
Comment 1 piter 2007-08-26 11:36:19 UTC
The same thing on FreeBSD Unix Box when using .irbrc with wirble gem which is configured to display color output. NB
console displays control characters in such configuration.
Comment 2 Ken Frank 2007-09-19 16:38:15 UTC
this was seen earlier and I had thought that it was due to lack of i18n support in ruby itself, at least version being
used in nb6.

ken.frank@sun.com
Comment 3 Ken Frank 2007-10-03 19:01:52 UTC
please fix for nb6; this really is a p2 kind of issue since use of multibyte and nonascii
should be provided for users unless its a limiation of the underlying language.
please change back to p3 if it is a limitation of ruby/rails itself.

ken.frank@sun.com
Comment 4 Torbjorn Norbye 2007-10-05 17:41:06 UTC
This is a bug in JRuby itself; the NetBeans IRB console simply creates an instance of JRuby's "TextAreaReadline" class,
which itself is manipulating a JTextComponent directly. It's unlikely we can fix this for 6.0.

Piter - regarding the color output escape codes, that's a separate issue (and will be fixed for 6.0) - I believe theres
a separate issue for it that Martin took over. Martin, do you have the id?
Comment 5 Martin Krauskopf 2007-10-05 17:45:54 UTC
> Martin, do you have the id?

Yup, http://www.netbeans.org/nonav/issues/show_bug.cgi?id=117177

Should get fixed in 6.0 time frame.
Comment 6 Ken Frank 2008-01-10 18:52:30 UTC
since its problem with jruby itself, can we leave it open until we know
if its fixed in some later jruby that we will use for next netbeans ?

ken.frank@sun.com
Comment 7 Petr Jiricka 2008-02-05 23:34:16 UTC
So is there a bug report filed against JRuby?
Comment 8 yokolet 2008-02-17 04:31:42 UTC
Since newly released JRuby 1.1RC2 still has this bug, I filed it. The fix seems to be carried over till the future JRuby
release.
Comment 9 Martin Krauskopf 2008-02-18 09:20:58 UTC
Thanks Yoko. Leaving this open as Ken suggested.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo